Skip to main content
PATCH
Update a case

Authorizations

Authorization
string
header
required

Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.

Path Parameters

tenantId
string<uuid>
required

Id of the tenant the case belongs to

id
string<uuid>
required

Id the case to be updated

Body

application/json

Update case object

status
enum<string>

The updated status of the case

Available options:
VERIFIED,
ENDED
reason
enum<string>

Used to provide a reason when the status is changed to ended

Available options:
ERROR_US,
WITHDRAWN,
ERROR_CREDITOR,
DEAD,
BANKRUPTCY,
OBJECTION,
PAID,
PARTIALLY_PAID,
OVERPAYMENT,
EXPIRATION,
IRRECOVERABLE,
TRANSFERRED,
UNIDENTIFIED,
OFFER_FROM_US,
OFFER_FROM_DEBTOR,
FORCED_DISSOLVED,
NEGATIVE_PAYOFF,
DEPARTED,
CREDITOR_UNRESPONSIVE,
MERGED,
FIRE_AND_FORGET,
SMALL_CASE_NOT_WANTED,
ADDRESS_UNKNOWN,
DEBT_RELIEF,
CONFLICT_OF_INTEREST,
MINOR,
NO_DEBT,
DELETED
isCompany
boolean

Used to indicate whether the entity is a company (true) or private (false)

customerId
string<uuid>

Id of the customer which the case belongs to

groupId
string<uuid>

Id of case group

tags
object[]

List of tags to set on the case

migratedId
string

Optinoal migrated id

customJournalNumber
object | null

Set to override the journal number with a custom string. Set to null to revert to the default sequential format.

Response